Module | Expirable
In: | lib/facets/more/expirable.rb

# Expirable

Generic expirability mixin.

### Methods

expired? expires_after expires_spread touch!

### Attributes

expires | [RW] |

### Public Instance methods

expired?()

Is this entry expired?

expires_after(timeout = (60*60*24))

Set the expires timeout for this entry.

expires_spread(base, spread)

Set the expire timeout for this entry. The timeout happens after (base + rand(spread)) seconds.

touch!()

Update the expiration period. Override in your application.

[Validate]